Saltar al contenido principal
PATCH
/
crm
/
pipelines
/
2026-03
/
{objectType}
/
{pipelineId}
Perform a partial update of the pipeline identified by pipelineId.
curl --request PATCH \
  --url https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "archived": true,
  "displayOrder": 123,
  "label": "<string>"
}
'
import requests

url = "https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId}"

payload = {
"archived": True,
"displayOrder": 123,
"label": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({archived: true, displayOrder: 123, label: '<string>'})
};

fetch('https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "displayOrder": 123,
  "id": "<string>",
  "label": "<string>",
  "stages": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "displayOrder": 123,
      "id": "<string>",
      "label": "<string>",
      "metadata": {},
      "updatedAt": "2023-11-07T05:31:56Z",
      "archivedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

objectType
string
requerido
pipelineId
string
requerido

Parámetros de consulta

validateDealStageUsagesBeforeDelete
boolean
predeterminado:false
validateReferencesBeforeDelete
boolean
predeterminado:false

Cuerpo

application/json
archived
boolean

Whether the pipeline is archived. This property should only be provided when restoring an archived pipeline. If it's provided in any other call, the request will fail and a 400 Bad Request will be returned.

displayOrder
integer<int32>

The order for displaying this pipeline. If two pipelines have a matching displayOrder, they will be sorted alphabetically by label.

label
string

A unique label used to organize pipelines in HubSpot's UI

Respuesta

successful operation

archived
boolean
requerido

Whether the pipeline is archived.

createdAt
string<date-time>
requerido

The date the pipeline was created. The default pipelines will have createdAt = 0.

displayOrder
integer<int32>
requerido

The order for displaying this pipeline. If two pipelines have a matching displayOrder, they will be sorted alphabetically by label.

id
string
requerido

A unique identifier generated by HubSpot that can be used to retrieve and update the pipeline.

label
string
requerido

A unique label used to organize pipelines in HubSpot's UI

stages
object[]
requerido

The stages associated with the pipeline. They can be retrieved and updated via the pipeline stages endpoints.

updatedAt
string<date-time>
requerido

The date the pipeline was last updated.

archivedAt
string<date-time>

The date the pipeline was archived. archivedAt will only be present if the pipeline is archived.

Última modificación el 3 de abril de 2026